<?php

namespace Capitole\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Calculer ServiceType
 * @subpackage Services
 */
class Calculer extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named calculerLoyer
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \Capitole\StructType\Input[] $input
     * @return \Capitole\StructType\Result[]|bool
     */
    public function calculerLoyer(array $input)
    {
        try {
            $this->setResult($this->getSoapClient()->calculerLoyer($input));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named calculerLoyerToString
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param string $input
     * @return string|bool
     */
    public function calculerLoyerToString($input)
    {
        try {
            $this->setResult($this->getSoapClient()->calculerLoyerToString($input));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return string|\Capitole\StructType\Result[]
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
